Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 596134 - mkinitrd does not support multipath-tools bindings_file option
Summary: mkinitrd does not support multipath-tools bindings_file option
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: mkinitrd
Version: 5.5
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Brian Lane
QA Contact: Release Test Team
URL:
Whiteboard:
Depends On: 593050
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-26 11:47 UTC by RHEL Product and Program Management
Modified: 2018-10-27 12:04 UTC (History)
12 users (show)

Fixed In Version: mkinitrd-5.1.19.6-61.el5_5.2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-07-20 14:07:45 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2010:0541 normal SHIPPED_LIVE mkinitrd bug fix update 2010-07-20 14:07:42 UTC

Description RHEL Product and Program Management 2010-05-26 11:47:25 UTC
This bug has been copied from bug #593050 and has been proposed
to be backported to 5.5 z-stream (EUS).

Comment 9 Alexander Todorov 2010-07-20 10:34:49 UTC
With mkinitrd-5.1.19.6-61.el5_5.2 and /etc/multipath.conf looking like:

defaults {
        user_friendly_names yes
        bindings_file /etc/multipath/bindings
}

The resulting initrd.img  contains the correct bindings file:

# zcat test.img | cpio -t | grep multi
30204 blocks
bin/multipath
etc/multipath
etc/multipath/bindings
etc/multipath.conf

NOTE: The "=" character ( as in bindings_file = ... ) from https://bugzilla.redhat.com/show_bug.cgi?id=593050#c0 is incorrect syntax. All example conf files from the device-mapper-multipath package show "bindings_file /path/to/file" syntax.


Moving to VERIFIED.

Comment 11 errata-xmlrpc 2010-07-20 14:07:45 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0541.html


Note You need to log in before you can comment on or make changes to this bug.